Summary:	Small FTP server
Summary(pl.UTF-8):	Mały serwer FTP
Name:		bftpd
Version:	6.1
Release:	1
License:	GPL
Group:		Daemons
Source0:	https://master.dl.sourceforge.net/project/bftpd/bftpd/bftpd-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d098ae215326e7fa9bd9130b021f9b2a
Source1:	%{name}.inetd
Source2:	%{name}.conf
Source3:	ftpusers.tar.bz2
# Source3-md5:	76c80b6ec9f4d079a1e27316edddbe16
URL:		http://bftpd.sourceforge.net/
Patch0:		%{name}-NOROOT.patch
BuildRequires:	autoconf
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	inetdaemon
Requires:	rc-inetd
Provides:	ftpserver
Conflicts:	man-pages < 1.51
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bftpd is a Linux FTP server with chroot and setreuid. Not all FTP
commands are included. It doesn't need special home directory
preparation and accesses either the user's home directory or its .ftp
subdirectory, and user authentication is via passwd/shadow or PAM.

%description -l pl.UTF-8
bftpd jest linuksowym serwerem FTP z chroot i setreuid. Nie wszystkie
komendy FTP są dostępne. Nie wymaga specjalnego katalogu domowego i
dostępu poza katalogiem domowym użytkownika i podkatalogiem .ftp.
Autoryzacja użytkowników poprzez passwd/shadow lub PAM.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_prefix}{/sbin,/share/man/man8},/etc/sysconfig/rc-inetd,/home/services/ftp}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/ftpd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}

bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q rc-inetd reload

%postun
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG
%doc %lang(en) doc/en/*.{html,txt}
%doc %lang(pl) doc/pl/*.{html,txt}
%attr(755,root,root) %{_sbindir}/*
#%%attr(640,root,root) /etc/pam.d/ftp
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/ftpd
%dir %attr(555,ftp,ftp) /home/services/ftp

%{_mandir}/man5/ftpusers.5*
%{_mandir}/man8/*
%lang(ja) %{_mandir}/ja/man5/ftpusers*
%lang(pl) %{_mandir}/pl/man5/ftpusers*
%lang(pt_BR) %{_mandir}/pt_BR/man5/ftpusers*
%lang(ru) %{_mandir}/ru/man5/ftpusers*
%changelog
* Fri Feb 03 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bftpd.git;a=log;h=master

* Fri Feb 03 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> a26a97d
- Up to 6.1

* Thu Feb 02 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 4aa6f63
- rel 3; rediff patches

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> eb855cc
- Release 2 (by relup.sh)

* Wed Feb 03 2010 duddits <duddits@pld-linux.org> 82b11bb
- up to 2.6

* Mon Oct 13 2008 duddits <duddits@pld-linux.org> f97c640
- up to 2.3

* Fri Sep 19 2008 duddits <duddits@pld-linux.org> ea7c46e
- up to 2.2

* Sat Feb 02 2008 shadzik <shadzik@pld-linux.org> b4e0f31
- kill obsoletes
- rel 3

* Sat Mar 31 2007 Jan Rękorajski <baggins@pld-linux.org> c211e9a
- rel 2
- added krb5-ftpd to obsoletes

* Thu Mar 29 2007 shadzik <shadzik@pld-linux.org> 57e5f6f
- up to 1.7
- new Source0
- some cleanup

* Thu Mar 29 2007 shadzik <shadzik@pld-linux.org> e7b420f
- new url

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> fb63b9b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 14b18b5
- converted to UTF-8

* Tue Mar 14 2006 Elan Ruusamäe <glen@pld-linux.org> 86280e9
- unified rc-inetd usage (via %service), adapterized

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> 91043eb
- adapterized (sorted %verify flags)

* Mon Mar 29 2004 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> 279e8e6
- back to /home/services, %%files fixes

* Mon Mar 29 2004 luzik <luzik@pld-linux.org> 7dde448
- added Obsolete: glftpd

* Wed Feb 04 2004 averne <averne@pld-linux.org> 36cb421
- /home/services -> /srv
- rel 2

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 03ef3ff
- spaces -> tab

* Wed Aug 06 2003 kloczek <kloczek@pld-linux.org> 355bdb2
- może wrescie ktoś wykasuje to konto ?

* Mon Jul 07 2003 Paweł Gołaszewski <blues@pld-linux.org> 1c09d25
- many small fixes, inspired by kloczek

